## Contributing Guidelines

Hi! Thanks for your interest in helping to make this project more awesome by contributing.

Contribution can be anything like (but not limited to) improving documentation, reporting bugs, feature requests, contributing code.

### Reporting Bugs

1. First make sure that the bug has not already been [reported](https://github.com/interviewstreet/ghs).
2. Create a [bug report](https://github.com/interviewstreet/ghs/issues/new).
3. It would be helpful for us if the issue:
   - can be descriptive.
   - have information like Operating system, ghs version, etc.
   - have steps to reproduce the error.
   - have error stacktrace.

### Feature Requests

1. First make sure that the feature has not already been [requested](https://github.com/interviewstreet/ghs).
2. Create a [feature request](https://github.com/interviewstreet/ghs/issues/new).

### Contributing code

1. Pick up an [issue](https://github.com/interviewstreet/ghs/issues) (or [create one](https://github.com/interviewstreet/ghs/issues/new)) on which you want to work. You
   can take help of labels to filter them down.
2. Tell beforehand that you are working on the issue. This helps in making sure that multiple contributors are not working on the same issue.

### Development

1. Fork the repository and clone it locally.
2. Please create a separate branch for each issue that you're working on. Do not make changes to the default branch (e.g. master) of your fork.
3. Make changes to the code and
4. Install the cli [via source code](https://github.com/interviewstreet/ghs#using-source-code) and check/confirm your changes.
5. Commit the changes to the issue branch you created. Please Write descriptive commits.
6. Push the changes to your fork and submit a Pull Request with the issue reference.

### Coding Style

#### Code Formatting

- The project uses _autopep8_ as the code-formatter.
